Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.seals.core.v1
Class OriginalDataType

    java.lang.Object
      be.fgov.ehealth.seals.core.v1.OriginalDataType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:26+02:00",
               comments="JAXB RI v2.2.6")
    public class OriginalDataType

extends Object
implements Serializable

Java class for OriginalDataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}ID"/>
             <element name="AlgorithmCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="InputData" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OriginalDataType()`

Method Summary
`String` | `getAlgorithmCode()` Gets the value of the algorithmCode property.
`String` | `getId()` Gets the value of the id property.
`String` | `getInputData()` Gets the value of the inputData property.
`void` | `setAlgorithmCode(String value)` Sets the value of the algorithmCode property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setInputData(String value)` Sets the value of the inputData property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginalDataType

    public OriginalDataType()

Method Detail

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getAlgorithmCode

    public String getAlgorithmCode()

  Gets the value of the algorithmCode property.

  Returns:
    possible object is `String`

### setAlgorithmCode

    public void setAlgorithmCode(String value)

  Sets the value of the algorithmCode property.

  Parameters:
    `value` - allowed object is `String`

### getInputData

    public String getInputData()

  Gets the value of the inputData property.

  Returns:
    possible object is `String`

### setInputData

    public void setInputData(String value)

  Sets the value of the inputData property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.